Gda.SqlFunction – Gda-6.0 Reference Manual

# SqlFunction

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_function_get_type ()" ) ]
[ Compact ]
public class SqlFunction
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlFunction (SqlAnyPart parent)

### Methods:

- public void check_clean ()
- public SqlFunction copy ()
- public void free ()
- public string serialize ()
- public void take_args_list (SList<SqlExpr> args)
- public void take_name (Value value)

### Fields:

- public unowned SqlAnyPart any
- public unowned SList<void*> args_list
- public unowned string function_name